Skip to main content
`Ctrl`+`K`

# BVCreateVecEmpty

Creates a new `Vec` object with the same type and dimensions as the columns of the basis vectors object, but without internal array.

## Synopsis

    #include "slepcbv.h"
    PetscErrorCode BVCreateVecEmpty(BV bv,Vec *v)

Collective

## Input Parameter

- bv - the basis vectors context

## Output Parameter

- v - the new vector

## Note

This works as `BVCreateVec()`, but the new vector does not have the array allocated, so the intended usage is with `VecPlaceArray()`.

## See Also

BV: Basis Vectors, `BVCreateVec()`

## Level

developer

## Location

src/sys/classes/bv/interface/bvbasic.c

Index of all BV routines Table of Contents for all manual pages Index of all manual pages